# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section   free

Name:           burlap
Version:        3.0.8
Release:	6%{?dist}
Epoch:          0
Summary:        Web service protocol
Group:          Development/Libraries/Java
License:        ASL 1.1
URL:            http://www.caucho.com/%{name}
Source0:        http://distro.ibiblio.org/pub/linux/distributions/gentoo/distfiles/%{name}-%{version}.tar.bz2
Patch0:         burlap-proxy.patch
Requires:       caucho-services
Requires:       hessian
Requires:       servlet_2_4_api
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  ant >= 0:1.6
BuildRequires:  caucho-services
BuildRequires:  hessian
BuildRequires:  servlet_2_4_api
Obsoletes:      %{name}3 < %{epoch}:%{version}-%{release}
Provides:       %{name}3 = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The Burlap web service protocol makes web services 
usable without requiring a large framework, and without 
learning yet another alphabet soup of protocols. 
Creating a client is as simple as creating an API interface.
Creating a service is as simple as adding a method to a servlet.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q
%patch0 -p0 -b .sav0

%build
export CLASSPATH=$(build-classpath caucho-services hessian servlet_2_4_api)
export OPT_JAR_LIST=:
%{ant} -Dbuild.sysclasspath=only jar javadoc

%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p dist/burlap.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
%{__ln_s} %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{version}
%{__cp} -pr dist/doc/api/* %{buildroot}%{_javadocdir}/%{name}-%{version}
%{__ln_s} %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%changelog
* Sat Jan 09 2010 Will Tatam <will.tatam@red61.com> 3.0.8-6
- Auto rebuild for JPackage 6 in centos5 mock

* Mon Oct 12 2009 David Walluck <dwalluck@redhat.com> 0:3.0.8-5
- build for JPackage 6
- fix License

* Tue Jun 23 2009 David Walluck <dwalluck@redhat.com> 0:3.0.8-4
- build for JPackage 5

* Fri Jun 22 2007 Jason Corley <jason.corley@gmail.com> 0:3.0.8-3jpp
- add obsoletes/provides for burlap3
- revert to requiring hessian
- syntactic cleanup

* Sun Mar 12 2006 Fernando Nasser <fnasser@redhat.com> - 0:3.0.8-2jpp
- Require hessian3, not hessian

* Fri Mar 10 2006 Ralph Apel <r.apel at r-apel.de> - 0:3.0.8-1jpp
- Derive from burlap2

* Fri Feb 24 2006 Ralph Apel <r.apel at r-apel.de> - 0:2.1.12-3jpp
- Minor fixes

* Tue Oct 05 2004 Ralph Apel <r.apel at r-apel.de> - 0:2.1-2jpp
- Fix typo conducting to jar with no classes

* Mon Oct 04 2004 Ralph Apel <r.apel at r-apel.de> - 0:2.1-1jpp
- First JPackage release
